Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002956KdenliveEffectspublic2013-01-24 12:332014-09-24 16:39
Reporterttguy 
Assigned Tovpinon 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusassignedResolutionopen 
Platform32 bit intel and alikeOSUbuntuOS Version11.04
Product VersionRecent git 
Target VersionFixed in Version 
Summary0002956: obscure effect does not work when keyframes are used
DescriptionThe obscure effect works if you add the effect and move to the first frame of the clip and adjust the box. see obscure.png attached

But if you move off the first frame and double click to add a keyframe the effect stops working. obscure_bug1.png and obscure_bug2.png

As you can see in the screenshots the interface to the keyframes is missing in this effect - it does not look like keyframes in the other keyframeable effects. For example there is no add keyframe icon or jump to next keyframe widget.
 I dunno if the two issues are related.
Additional Informationkdenlive 0.9.3+git20130117.91ea0353-0ubuntu0~sunab~precise1
mlt 0.8.7+git20130109.ba392dac-0ubuntu0~sunab~precise1
frei0r 1.3.0+git20130119.c3fdd674-0ubuntu0~sunab~precise1
ffmpeg 0.8.4-4:0.8.4-0ubuntu0.12.04.1
TagsNo tags attached.
Build/Install Method3rd party package
Attached Filespng file icon obscure.png [^] (31,092 bytes) 2013-01-24 12:33


png file icon obscure_bug1.png [^] (60,152 bytes) 2013-01-24 12:34


png file icon obscure_bug2.png [^] (60,277 bytes) 2013-01-24 12:34

- Relationships

-  Notes
(0009118)
ttguy (updater)
2013-01-24 12:42

Keyframing in this effect is pretty important so we can track around where in the shot we need to obscure.
(0009327)
ttguy (updater)
2013-02-24 00:54
edited on: 2013-02-24 02:12

Still have this issue on kdenlive 0.9.5+git20130202.95231df4-0ubuntu0~sunab~precise1.

The rectangle migrates with the keyframes. But there is no pixelation inside it. And no proper keyframe gui.

frei0r 1.3.0+git20130119.c3fdd674-0ubuntu0~sunab~precise1
melt 0.8.8-0ubuntu0~sunab~precise1

(0009502)
ttguy (updater)
2013-04-25 16:58

Still have this issue on
frei0r 1.4.0+git20130403.245bb387-0ubuntu0~sunab~precise1
kdenlive 0.9.6-0ubuntu0~sunab~precise1
melt 0.8.9+git20130413.3d1f9695-0ubuntu0~sunab~precise1
ffmpeg version 0.8.6-4:0.8.6-0ubuntu0.12.04.1
(0010059)
ttguy (updater)
2014-05-21 23:49

This still effects me in 0.9.8. on ubuntu 14.04 64bit I thought it might have been fixed because the release notes said some keyframe issues in some effects were fixed.
 :-(
(0010365)
vpinon (administrator)
2014-09-23 14:49

according to XML effect description, obscure is not supposed to be keyframable?!
(0010366)
vpinon (administrator)
2014-09-23 14:56

hum, sorry, "geometry" properties can always be animated. however it seems this functionality is becoming deprecated in MLT? (in favor of mlt_animate)
(0010368)
vpinon (administrator)
2014-09-23 21:26

obscure filter has geometry "fixed", so the bug it that the on-monitor rectangle/path editor allows you to move!
I believe I saw somewhere the way to do what you are trying but can't find at the moment.
(0010369)
vpinon (administrator)
2014-09-23 22:29

you now are not allowed to break the fixed filter by wrongly adding keyframes.
I keep the bug open to think of finding a workaround (something to do with automask?)
(0010370)
vpinon (administrator)
2014-09-23 22:45

continuing to discuss with mantis ;-)
in mlt/demo/mlt_obscure you can find the obscure filter is used in combination with region filter + composite.
so it is possible to have obscured zone from any shape with any trajectory
=> your mission (if you accept...) is to see what can be done with Kdenlive UI?!
(0010374)
ttguy (updater)
2014-09-24 16:39

So I just tried playing with region filter and I can not understand how it works. I can't find any doco on it. If you know how it works can you explain it to me - and I will add it to the manual

- Issue History
Date Modified Username Field Change
2013-01-24 12:33 ttguy New Issue
2013-01-24 12:33 ttguy File Added: obscure.png
2013-01-24 12:34 ttguy File Added: obscure_bug1.png
2013-01-24 12:34 ttguy File Added: obscure_bug2.png
2013-01-24 12:42 ttguy Note Added: 0009118
2013-02-24 00:54 ttguy Note Added: 0009327
2013-02-24 02:12 ttguy Note Edited: 0009327 View Revisions
2013-04-25 16:58 ttguy Note Added: 0009502
2014-05-21 23:49 ttguy Note Added: 0010059
2014-09-22 16:17 vpinon Assigned To => vpinon
2014-09-22 16:17 vpinon Status new => assigned
2014-09-23 14:49 vpinon Note Added: 0010365
2014-09-23 14:56 vpinon Note Added: 0010366
2014-09-23 21:26 vpinon Note Added: 0010368
2014-09-23 22:29 vpinon Note Added: 0010369
2014-09-23 22:45 vpinon Note Added: 0010370
2014-09-24 16:39 ttguy Note Added: 0010374


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker